org.richfaces.resource

## Class ResourceFactoryImpl

- java.lang.Object
- - org.richfaces.resource.ResourceFactoryImpl

- All Implemented Interfaces:
    ResourceFactory

      public class ResourceFactoryImpl
      extends Object
      implements ResourceFactory

  Author:
    Nick Belaevski

- - ### Field Summary

    - ### Fields inherited from interface org.richfaces.resource.ResourceFactory

      `DYNAMIC_RESOURCE_MAPPINGS, SKINNED_RESOURCE_PLACEHOLDER, SKINNED_RESOURCE_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceFactoryImpl(javax.faces.application.ResourceHandler defaultHandler)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected javax.faces.application.Resource` | `createDynamicResource(ResourceKey resourceKey, boolean useDependencyInjection)`
    `protected javax.faces.application.Resource` | `createHandlerDependentResource(ResourceKey resourceKey, Map<String,String> parameters)` Should be called only if `#isResourceExists(String)` returns `true`
    `javax.faces.application.Resource` | `createResource(javax.faces.context.FacesContext context, ResourceRequestData resourceData)`
    `protected javax.faces.application.Resource` | `createResource(Java2DUserResource resource)`
    `javax.faces.application.Resource` | `createResource(String resourceName, String libraryName, String contentType)`
    `protected javax.faces.application.Resource` | `createResource(UserResource resource)`
    `Collection<ResourceKey>` | `getMappedDynamicResourceKeys()`
    `protected void` | `injectProperties(Object resource, Map<String,String> parameters)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceFactoryImpl

          public ResourceFactoryImpl(javax.faces.application.ResourceHandler defaultHandler)

  - ### Method Detail

    - #### injectProperties

          protected void injectProperties(Object resource,
                                          Map<String,String> parameters)

    - #### createHandlerDependentResource

          protected javax.faces.application.Resource createHandlerDependentResource(ResourceKey resourceKey,
                                                                                    Map<String,String> parameters)

      Should be called only if `#isResourceExists(String)` returns `true`
      Parameters:
        `resourceKey` -
        `parameters` -
      Returns:

    - #### createResource

          public javax.faces.application.Resource createResource(javax.faces.context.FacesContext context,
                                                                 ResourceRequestData resourceData)

      Specified by:
        `createResource` in interface `ResourceFactory`

    - #### createResource

          public javax.faces.application.Resource createResource(String resourceName,
                                                                 String libraryName,
                                                                 String contentType)

      Specified by:
        `createResource` in interface `ResourceFactory`

    - #### createDynamicResource

          protected javax.faces.application.Resource createDynamicResource(ResourceKey resourceKey,
                                                                           boolean useDependencyInjection)

    - #### getMappedDynamicResourceKeys

          public Collection<ResourceKey> getMappedDynamicResourceKeys()

      Specified by:
        `getMappedDynamicResourceKeys` in interface `ResourceFactory`

    - #### createResource

          protected javax.faces.application.Resource createResource(Java2DUserResource resource)

    - #### createResource

          protected javax.faces.application.Resource createResource(UserResource resource)

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.